<template>
  <div class="inline">
    <img
      @click="AddToCard(productId, count, orderMin)"
      class="inline"
      src="/positive.svg"
      alt=""
    />
    <P class="inline"> {{ count }}</P>
    <img
      @click="AddToCard(productId, count, -orderMin)"
      class="inline"
      src="/nagative.svg"
      alt=""
    />
  </div>
</template>

<script>
export default {
  name: 'ButtonNumber',
  props: {
    orderMin: {
      required: true,
    },
    count: {
      type: Number,
      required: true,
    },
    productId: {
      required: true,
    },
  },

  methods: {
    AddToCard(productId, count, orderMin) {
      console.log('count', count)
      console.log('orderMin', orderMin)
      if (count == 0) {
        if (orderMin == 1) {
          count += orderMin
        } else if (orderMin !== 1) {
          count += orderMin
        }
      } else {
        if (count >= 1) {
          if (orderMin < 0) {
            count -= 1
          } else {
            count += 1
          }
        } else if (count < 1) {
          count += orderMin
        }
      }
      const orderDetail = {
        productId: productId,
        qty: orderMin,
        updateCount: false,
      }

      this.$store.dispatch('order/FetchFactorDtlAdd', orderDetail)
    },
  },
}
</script>

<style lang="scss" scoped></style>
